[arch-commits] Commit in dmxproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 1 00:17:59 EDT 2009


    Date: Wednesday, April 1, 2009 @ 00:17:58
  Author: eric
Revision: 32493

Merged revisions 356,32491 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/dmxproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r32491 | eric | 2009-04-01 00:15:23 -0400 (Wed, 01 Apr 2009) | 2 lines
  
  upgpkg: dmxproto 2.2.2-2
      Added license
........

Modified:
  dmxproto/repos/extra-i686/	(properties)
  dmxproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: dmxproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /dmxproto/trunk:1
   + /dmxproto/trunk:1-32492

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-01 04:15:47 UTC (rev 32492)
+++ extra-i686/PKGBUILD	2009-04-01 04:17:58 UTC (rev 32493)
@@ -3,17 +3,19 @@
 
 pkgname=dmxproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Distributed Multihead X extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('d80acad88411e7944b9b085463d53302')
 sha1sums=('80c573166ec3b9f17893e2fff84ce0107045faac')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list